summaryrefslogtreecommitdiff
path: root/Source/ThirdParty/woff2/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Source/ThirdParty/woff2/update.sh')
-rwxr-xr-xSource/ThirdParty/woff2/update.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/Source/ThirdParty/woff2/update.sh b/Source/ThirdParty/woff2/update.sh
new file mode 100755
index 000000000..c67cb43f1
--- /dev/null
+++ b/Source/ThirdParty/woff2/update.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Script to update the webkit in-tree copy of the woff2 library.
+# Run this within the /Source/ThirdParty/woff2 directory of the source tree.
+
+MY_TEMP_DIR=`mktemp -d -t woff2_update.XXXXXX` || exit 1
+
+git clone https://github.com/google/woff2 ${MY_TEMP_DIR}/woff2
+
+COMMIT=`(cd ${MY_TEMP_DIR}/woff2 && git log | head -n 1)`
+perl -p -i -e "s/\[commit [0-9a-f]{40}\]/[${COMMIT}]/" README.webkit;
+
+rm -rf src
+mv ${MY_TEMP_DIR}/woff2/src src
+rm -rf ${MY_TEMP_DIR}
+
+echo "###"
+echo "### Updated woff2/src to $COMMIT."
+echo "### Remember to verify and commit the changes to source control!"
+echo "###"